COmpile error with stable-snapshot of today

Hi,

While compiling/installing ruby from the stable-snapshot of today, it
fails with:

make[1]: Entering directory /home/mccramer/ruby' gcc -g -O2 -fPIC -DRUBY_EXPORT -rdynamic -Wl,-export-dynamic -L. main.o -Wl,-R -Wl,/usr/lib -L/usr/lib -L. -lruby -lpthread -ldl -lcrypt -lm -o ruby make[1]: Leaving directory/home/mccramer/ruby’
./miniruby ./instruby.rb --dest-dir="" --extout=".ext" --make=“make”
–mflags="" --make-flags="" --installed-list .installed.list
–mantype=“doc”
installing binary commands
installing command scripts
installing library scripts
installing headers
installing manpages
installing extension objects
installing extension scripts
Generating RDoc documentation
./miniruby ./runruby.rb --extout=.ext – “./bin/rdoc” --all --ri --op
“.ext/rdoc” “.”
/usr/lib/ruby/site_ruby/1.8/rubygems/security.rb:18: uninitialized
constant OpenSSL::Digest::SHA1 (NameError)
from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:397:in require' from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:397 from /home/mccramer/ruby/lib/rdoc/ri/ri_paths.rb:46:inrequire’
from /home/mccramer/ruby/lib/rdoc/ri/ri_paths.rb:46
from /home/mccramer/ruby/lib/rdoc/options.rb:4:in require' from /home/mccramer/ruby/lib/rdoc/options.rb:4 from /home/mccramer/ruby/lib/rdoc/rdoc.rb:13:inrequire’
from /home/mccramer/ruby/lib/rdoc/rdoc.rb:13
from ./bin/rdoc:59:in `require’
from ./bin/rdoc:59
make: *** [rdoc] Error 1

I am using an up-to-date Gentoo with gcc-4.1.1. installed.

What did I wrong here ???

Thank you very much for any help in advance !
Have a nice weekend!
mcc

Hi Meino,

You posted this same problem on Monday but you never answered to the
responses…

Regards,
Jordan

http://groups.google.com/group/comp.lang.ruby/browse_thread/thread/3e2eae515f9d3ae1/167cc8e6b61414fa#167cc8e6b61414fa

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs